Page MenuHomePhabricator

503 error for certain JPG thumbnail: "Backend fetch failed"
Closed, ResolvedPublic

Description

While trying to browse to https://upload.wikimedia.org/wikipedia/commons/thumb/e/ef/Pribinov_meč_-_panoramio.jpg/2976px-Pribinov_meč_-_panoramio.jpg I got the following: Request from 74.90.84.77 via cp1063 cp1063, Varnish XID 196617603
Error: 503, Backend fetch failed at Mon, 24 Jul 2017 04:13:23 GMT

Event Timeline

Jeff_G created this task.Jul 24 2017, 4:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2017, 4:18 AM
zhuyifei1999 added a subscriber: zhuyifei1999.

Works for me though

Aklapper renamed this task from Backend fetch failed to 503 error for certain JPG thumbnail: "Backend fetch failed".Jul 24 2017, 11:05 AM
Aklapper edited projects, added SRE-swift-storage, Thumbor; removed Operations.
fgiunchedi edited projects, added Traffic; removed Thumbor.Jul 25 2017, 8:48 AM
fgiunchedi added a subscriber: fgiunchedi.

@Aklapper _usually_ traffic since this indicates varnish failure to fetch and most likely a network or varnish problem. See also https://grafana.wikimedia.org/dashboard/db/varnish-failed-fetches

Restricted Application added a project: Operations. · View Herald TranscriptJul 25 2017, 8:48 AM
ema moved this task from Triage to Caching on the Traffic board.Jul 25 2017, 9:31 AM
ema closed this task as Resolved.Jul 28 2017, 8:09 AM
ema claimed this task.
ema added a subscriber: ema.

We do have occasional backend fetch failures. Closing, as this looks like a transient error.

@Aklapper _usually_ traffic since this indicates varnish failure to fetch and most likely a network or varnish problem. See also https://grafana.wikimedia.org/dashboard/db/varnish-failed-fetches

What is the Y axis on that graph, incidents per unit time?

ema added a comment.Jul 28 2017, 12:56 PM

@Aklapper _usually_ traffic since this indicates varnish failure to fetch and most likely a network or varnish problem. See also https://grafana.wikimedia.org/dashboard/db/varnish-failed-fetches

What is the Y axis on that graph, incidents per unit time?

That's the per-second rate.